DROP TABLE CRST_AR_SYSTEM_PARAMETERS_ALL;

CREATE TABLE CRST_AR_SYSTEM_PARAMETERS_ALL
(
  SET_OF_BOOKS_ID                 NUMBER(15)    NOT NULL,
  CREATED_BY                      NUMBER(15)    NOT NULL,
  CREATION_DATE                   DATE          NOT NULL,
  LAST_UPDATED_BY                 NUMBER(15)    NOT NULL,
  LAST_UPDATE_DATE                DATE          NOT NULL,
  LAST_UPDATE_LOGIN               NUMBER(15),
  ACCOUNTING_METHOD               VARCHAR2(30 BYTE) NOT NULL,
  ACCRUE_INTEREST                 VARCHAR2(1 BYTE) NOT NULL,
  UNEARNED_DISCOUNT               VARCHAR2(1 BYTE) NOT NULL,
  PARTIAL_DISCOUNT_FLAG           VARCHAR2(1 BYTE) NOT NULL,
  PRINT_REMIT_TO                  VARCHAR2(1 BYTE) NOT NULL,
  DEFAULT_CB_DUE_DATE             VARCHAR2(30 BYTE) NOT NULL,
  AUTO_SITE_NUMBERING             VARCHAR2(1 BYTE) NOT NULL,
  CASH_BASIS_SET_OF_BOOKS_ID      NUMBER(15),
  CODE_COMBINATION_ID_GAIN        NUMBER(15),
  AUTOCASH_HIERARCHY_ID           NUMBER(15),
  RUN_GL_JOURNAL_IMPORT_FLAG      VARCHAR2(1 BYTE) NOT NULL,
  CER_SPLIT_AMOUNT                NUMBER(9)     NOT NULL,
  CER_DSO_DAYS                    NUMBER(5)     NOT NULL,
  POSTING_DAYS_PER_CYCLE          NUMBER(5)     NOT NULL,
  ADDRESS_VALIDATION              VARCHAR2(30 BYTE) NOT NULL,
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY              VARCHAR2(30 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  CALC_DISCOUNT_ON_LINES_FLAG     VARCHAR2(1 BYTE) NOT NULL,
  CHANGE_PRINTED_INVOICE_FLAG     VARCHAR2(1 BYTE) NOT NULL,
  CODE_COMBINATION_ID_LOSS        NUMBER(15),
  CREATE_RECIPROCAL_FLAG          VARCHAR2(1 BYTE) NOT NULL,
  DEFAULT_COUNTRY                 VARCHAR2(60 BYTE),
  DEFAULT_TERRITORY               VARCHAR2(30 BYTE) NOT NULL,
  GENERATE_CUSTOMER_NUMBER        VARCHAR2(1 BYTE) NOT NULL,
  INVOICE_DELETION_FLAG           VARCHAR2(1 BYTE) NOT NULL,
  LOCATION_STRUCTURE_ID           NUMBER(15),
  SITE_REQUIRED_FLAG              VARCHAR2(1 BYTE) NOT NULL,
  TAX_ALLOW_COMPOUND_FLAG         VARCHAR2(1 BYTE) NOT NULL,
  TAX_INVOICE_PRINT               VARCHAR2(30 BYTE) NOT NULL,
  TAX_METHOD                      VARCHAR2(30 BYTE) NOT NULL,
  TAX_USE_CUSTOMER_EXEMPT_FLAG    VARCHAR2(1 BYTE) NOT NULL,
  TAX_USE_CUST_EXC_RATE_FLAG      VARCHAR2(1 BYTE) NOT NULL,
  TAX_USE_LOC_EXC_RATE_FLAG       VARCHAR2(1 BYTE) NOT NULL,
  TAX_USE_PRODUCT_EXEMPT_FLAG     VARCHAR2(1 BYTE) NOT NULL,
  TAX_USE_PROD_EXC_RATE_FLAG      VARCHAR2(1 BYTE) NOT NULL,
  TAX_USE_SITE_EXC_RATE_FLAG      VARCHAR2(1 BYTE) NOT NULL,
  AI_LOG_FILE_MESSAGE_LEVEL       NUMBER(15),
  AI_MAX_MEMORY_IN_BYTES          NUMBER(15),
  AI_ACCT_FLEX_KEY_LEFT_PROMPT    VARCHAR2(80 BYTE),
  AI_MTL_ITEMS_KEY_LEFT_PROMPT    VARCHAR2(80 BYTE),
  AI_TERRITORY_KEY_LEFT_PROMPT    VARCHAR2(80 BYTE),
  AI_PURGE_INTERFACE_TABLES_FLAG  VARCHAR2(1 BYTE),
  AI_ACTIVATE_SQL_TRACE_FLAG      VARCHAR2(1 BYTE),
  DEFAULT_GROUPING_RULE_ID        NUMBER(15)    NOT NULL,
  SALESREP_REQUIRED_FLAG          VARCHAR2(1 BYTE) NOT NULL,
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  AUTO_REC_INVOICES_PER_COMMIT    NUMBER(8)     NOT NULL,
  AUTO_REC_RECEIPTS_PER_COMMIT    NUMBER(8)     NOT NULL,
  PAY_UNRELATED_INVOICES_FLAG     VARCHAR2(1 BYTE) NOT NULL,
  PRINT_HOME_COUNTRY_FLAG         VARCHAR2(1 BYTE) NOT NULL,
  LOCATION_TAX_ACCOUNT            NUMBER(15),
  FROM_POSTAL_CODE                VARCHAR2(60 BYTE) NOT NULL,
  TO_POSTAL_CODE                  VARCHAR2(60 BYTE) NOT NULL,
  TAX_REGISTRATION_NUMBER         VARCHAR2(60 BYTE),
  POPULATE_GL_SEGMENTS_FLAG       VARCHAR2(1 BYTE) NOT NULL,
  UNALLOCATED_REVENUE_CCID        NUMBER(15),
  ORG_ID                          NUMBER(15),
  TAX_CURRENCY_CODE               VARCHAR2(15 BYTE),
  TAX_PRECISION                   NUMBER(1),
  TAX_MINIMUM_ACCOUNTABLE_UNIT    NUMBER,
  TAX_HEADER_LEVEL_FLAG           VARCHAR2(1 BYTE) NOT NULL,
  TAX_ROUNDING_RULE               VARCHAR2(30 BYTE) NOT NULL,
  TAX_ROUNDING_ALLOW_OVERRIDE     VARCHAR2(1 BYTE) NOT NULL,
  TAX_CODE                        VARCHAR2(50 BYTE),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(30 BYTE),
  RULE_SET_ID                     NUMBER        NOT NULL,
  TAX_USE_ACCOUNT_EXC_RATE_FLAG   VARCHAR2(1 BYTE),
  TAX_USE_SYSTEM_EXC_RATE_FLAG    VARCHAR2(1 BYTE),
  TAX_HIER_SITE_EXC_RATE          NUMBER(15),
  TAX_HIER_CUST_EXC_RATE          NUMBER(15),
  TAX_HIER_PROD_EXC_RATE          NUMBER(15),
  TAX_HIER_ACCOUNT_EXC_RATE       NUMBER(15),
  TAX_HIER_SYSTEM_EXC_RATE        NUMBER(15),
  TAX_ENFORCE_ACCOUNT_FLAG        VARCHAR2(1 BYTE),
  TAX_DATABASE_VIEW_SET           VARCHAR2(30 BYTE),
  INCLUSIVE_TAX_USED              VARCHAR2(1 BYTE),
  CODE_COMBINATION_ID_ROUND       NUMBER(15),
  TRX_HEADER_LEVEL_ROUNDING       VARCHAR2(1 BYTE) NOT NULL,
  TRX_HEADER_ROUND_CCID           NUMBER(15),
  FINCHRG_RECEIVABLES_TRX_ID      NUMBER(15),
  SALES_TAX_GEOCODE               VARCHAR2(30 BYTE),
  BILLS_RECEIVABLE_ENABLED_FLAG   VARCHAR2(1 BYTE),
  TA_INSTALLED_FLAG               VARCHAR2(1 BYTE),
  REV_TRANSFER_CLEAR_CCID         NUMBER(15),
  SALES_CREDIT_PCT_LIMIT          NUMBER,
  MAX_WRTOFF_AMOUNT               NUMBER,
  IREC_CC_RECEIPT_METHOD_ID       NUMBER(15),
  SHOW_BILLING_NUMBER_FLAG        VARCHAR2(1 BYTE),
  CROSS_CURRENCY_RATE_TYPE        VARCHAR2(30 BYTE),
  DOCUMENT_SEQ_GEN_LEVEL          VARCHAR2(80 BYTE),
  CALC_TAX_ON_CREDIT_MEMO_FLAG    VARCHAR2(1 BYTE),
  IREC_BA_RECEIPT_METHOD_ID       NUMBER(15),
  PAYMENT_THRESHOLD               NUMBER,
  STANDARD_REFUND                 NUMBER,
  CREDIT_CLASSIFICATION1          VARCHAR2(30 BYTE),
  CREDIT_CLASSIFICATION3          VARCHAR2(30 BYTE),
  CREDIT_CLASSIFICATION2          VARCHAR2(30 BYTE)
);
